Bug 200284 - Samba failes start after update
Samba failes start after update
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
5
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Simo Sorce
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-26 13:47 EDT by Thomas Stauffer
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-23 14:58:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Stauffer 2006-07-26 13:47:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.0.4) Gecko/20060508 Firefox/1.5.0.4

Description of problem:
Hi,
 I am using Fedora Core 5 x86_64. I have been using ldap and samba all
summer and just got it running with ldap replication between two
systems and  a single server in the ldap domain. The account lookups
were working, users were getting authenticated and still can under
linux.

   But once I ran updates to get the samba-swat tool to work, since
the latest version of the tool was different than what was running on
the system, now the samba service itself will not start. Nothing else
has changed, to make sure I have even rebuilt the ldap database and it
is still replicating just fine, linux authentications work just fine.
The entries in the ldap database all look the same to the previous
database other than dates and password encryptions. I have even
verified that the account used by samba is able to get to the ldap
server by using the ldapsearch command.


  I have even re-installed all of the samba rpm's and thier associated
dependancies. And I get the same smbd.log entries as after the update.
The very first time I try to start smb after install or update I get
this in the log:

Starting SMB services:                                     [  OK  ]
Starting NMB services:                                     [  OK  ]
[root@springfield samba]# tail -n30 /var/log/samba/smbd.log
 smbd version 3.0.23-1.fc5 started.
 Copyright Andrew Tridgell and the Samba Team 1992-2006
[2006/07/26 12:43:54, 1] param/loadparm.c:service_ok(2942)
 NOTE: Service User1 is flagged unavailable.
[2006/07/26 12:43:54, 1] param/loadparm.c:service_ok(2942)
 NOTE: Service Profile1 is flagged unavailable.
[2006/07/26 12:43:54, 1] lib/account_pol.c:account_policy_get(329)
 account_policy_get: tdb_fetch_uint32 failed for field 1 (min password
length), returning 0
[2006/07/26 12:43:54, 1] lib/account_pol.c:account_policy_get(329)
 account_policy_get: tdb_fetch_uint32 failed for field 2 (password
history), returning 0
[2006/07/26 12:43:54, 1] lib/account_pol.c:account_policy_get(329)
 account_policy_get: tdb_fetch_uint32 failed for field 3 (user must
logon to change password), returning 0
[2006/07/26 12:43:54, 1] lib/account_pol.c:account_policy_get(329)
 account_policy_get: tdb_fetch_uint32 failed for field 4 (maximum
password age), returning 0
[2006/07/26 12:43:54, 1] lib/account_pol.c:account_policy_get(329)
 account_policy_get: tdb_fetch_uint32 failed for field 5 (minimum
password age), returning 0
[2006/07/26 12:43:54, 1] lib/account_pol.c:account_policy_get(329)
 account_policy_get: tdb_fetch_uint32 failed for field 6 (lockout
duration), returning 0
[2006/07/26 12:43:54, 1] lib/account_pol.c:account_policy_get(329)
 account_policy_get: tdb_fetch_uint32 failed for field 7 (reset count
minutes), returning 0
[2006/07/26 12:43:54, 1] lib/account_pol.c:account_policy_get(329)
 account_policy_get: tdb_fetch_uint32 failed for field 8 (bad lockout
attempt), returning 0
[2006/07/26 12:43:54, 1] lib/account_pol.c:account_policy_get(329)
 account_policy_get: tdb_fetch_uint32 failed for field 9 (disconnect
time), returning 0
[2006/07/26 12:43:54, 1] lib/account_pol.c:account_policy_get(329)
 account_policy_get: tdb_fetch_uint32 failed for field 10 (refuse
machine password change), returning 0
[2006/07/26 12:43:54, 0] services/services_db.c:svcctl_init_keys(420)
 init_services_keys: key lookup failed! (WERR_ACCESS_DENIED)
[2006/07/26 12:43:54, 0] smbd/server.c:main(960)
 ERROR: failed to setup guest info.


After that, all I get is:

[2006/07/26 13:05:14, 0] smbd/server.c:main(847)
 smbd version 3.0.23-1.fc5 started.
 Copyright Andrew Tridgell and the Samba Team 1992-2006
[2006/07/26 13:05:14, 1] param/loadparm.c:service_ok(2942)
 NOTE: Service User1 is flagged unavailable.
[2006/07/26 13:05:14, 1] param/loadparm.c:service_ok(2942)
 NOTE: Service Profile1 is flagged unavailable.
[2006/07/26 13:05:14, 0] services/services_db.c:svcctl_init_keys(420)
 init_services_keys: key lookup failed! (WERR_ACCESS_DENIED)
[2006/07/26 13:05:14, 0] smbd/server.c:main(960)
 ERROR: failed to setup guest info.

  It seems to me that something may not have been recompiled correctly
as 64-bit compatable under Fedora. And yet, I cannot roll back in
version. Each time Yum will just grab the most up to date version, and
the previous versions are not even stored on the update server ( they
are replaced with the current update version each time ).

HELP

Version-Release number of selected component (if applicable):
samba-3.0.23-1.fc5

How reproducible:
Always


Steps to Reproduce:
1.Re-install samba
2.Configure to use local ldap, no tsl
3.start samba

Actual Results:


Expected Results:


Additional info:
Comment 1 Simo Sorce 2007-03-26 11:05:51 EDT
This is a problem with getting info about the guest user (usually nobody).
This should not happen with 3.0.24, can you confirm it works for you with the
latest code ?

Thanks.

Note You need to log in before you can comment on or make changes to this bug.